الصفحات الوسيطة

GET https://bio.dl1s.co/api/splash-pages/
curl --request GET \
--url 'https://bio.dl1s.co/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
المعلمات التفاصيل الوصف
search اختياري نصي نص البحث.
search_by اختياري نصي الحقل الذي تبحث من خلاله. القيم المسموحة: name.
datetime_field اختياري نصي القيم المسموحة: datetime, last_datetime
datetime_start اختياري نصي تصفية النتائج بدءًا من هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
datetime_end اختياري نصي تصفية النتائج حتى هذا التاريخ والوقت. بصيغة Y-m-d H:i:s.
order_by اختياري نصي الحقل الذي يتم ترتيب النتائج بناءً عليه. القيم المسموحة: splash_page_id, datetime, last_datetime, name.
order_type اختياري نصي ترتيب النتائج. القيم المسموحة: ASC للترتيب التصاعدي وDESC للترتيب التنازلي.
page اختياري عدد صحيح رقم الصفحة التي تريد النتائج منها. الافتراضي 1.
results_per_page اختياري عدد صحيح عدد النتائج المطلوبة لكل صفحة. القيم المسموحة: 10, 25, 50, 100, 250, 500, 1000. الافتراضي 25.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-06-27 11:34:13",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://bio.dl1s.co/api/projects?page=1",
        "last": "https://bio.dl1s.co/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://bio.dl1s.co/api/projects?page=1"
    }
}
GET https://bio.dl1s.co/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://bio.dl1s.co/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-06-27 11:34:13",
    }
}
POST https://bio.dl1s.co/api/projects
المعلمات التفاصيل الوصف
name مطلوب نصي -
title اختياري نصي -
logo اختياري ملف -
favicon اختياري ملف -
opengraph اختياري ملف -
description اختياري نصي -
secondary_button_name اختياري نصي -
secondary_button_url اختياري نصي -
custom_css اختياري نصي -
custom_js اختياري نصي -
ads_header اختياري نصي -
ads_footer اختياري نصي -
link_unlock_seconds اختياري عدد صحيح -
auto_redirect اختياري منطقي -
curl --request POST \
--url 'https://bio.dl1s.co/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
POST https://bio.dl1s.co/api/splash-pages/{splash_page_id}
المعلمات التفاصيل الوصف
name اختياري نصي -
title اختياري نصي -
logo اختياري ملف -
favicon اختياري ملف -
opengraph اختياري ملف -
description اختياري نصي -
secondary_button_name اختياري نصي -
secondary_button_url اختياري نصي -
custom_css اختياري نصي -
custom_js اختياري نصي -
ads_header اختياري نصي -
ads_footer اختياري نصي -
link_unlock_seconds اختياري عدد صحيح -
auto_redirect اختياري منطقي -
curl --request POST \
--url 'https://bio.dl1s.co/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://bio.dl1s.co/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://bio.dl1s.co/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \